Onvif camera not correct ip

Hello friends! My onvif camera redirect for 192.168.3.15 to 192.168.1.10 unespectedly!

Log:

Logger: aiohttp.server
Source: components/onvif/config_flow.py:240
First occurred: 21:41:22 (3 occurrences)
Last logged: 21:43:43

Error handling request
Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/anyio/_core/_sockets.py”, line 164, in try_connect
stream = await asynclib.connect_tcp(remote_host, remote_port, local_address)
File “/usr/local/lib/python3.10/site-packages/anyio/_backends/_asyncio.py”, line 1691, in connect_tcp
await get_running_loop().create_connection(
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 1064, in create_connection
raise exceptions[0]
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 1049, in create_connection
sock = await self._connect_sock(
File “/usr/local/lib/python3.10/asyncio/base_events.py”, line 960, in _connect_sock
await self.sock_connect(sock, address)
File “/usr/local/lib/python3.10/asyncio/selector_events.py”, line 500, in sock_connect
return await fut
File “/usr/local/lib/python3.10/asyncio/selector_events.py”, line 535, in _sock_connect_cb
raise OSError(err, f’Connect call failed {address}’)
OSError: [Errno 113] Connect call failed (‘192.168.1.10’, 8899)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/httpcore/_exceptions.py”, line 8, in map_exceptions
yield
File “/usr/local/lib/python3.10/site-packages/httpcore/backends/asyncio.py”, line 109, in connect_tcp
stream: anyio.abc.ByteStream = await anyio.connect_tcp(
File “/usr/local/lib/python3.10/site-packages/anyio/_core/_sockets.py”, line 222, in connect_tcp
raise OSError(“All connection attempts failed”) from cause
OSError: All connection attempts failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 60, in map_httpcore_exceptions
yield
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 353, in handle_async_request
resp = await self._pool.handle_async_request(req)
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection_pool.py”, line 253, in handle_async_request
raise exc
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection_pool.py”, line 237, in handle_async_request
response = await connection.handle_async_request(request)
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection.py”, line 86, in handle_async_request
raise exc
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection.py”, line 63, in handle_async_request
stream = await self._connect(request)
File “/usr/local/lib/python3.10/site-packages/httpcore/_async/connection.py”, line 111, in _connect
stream = await self._network_backend.connect_tcp(**kwargs)
File “/usr/local/lib/python3.10/site-packages/httpcore/backends/auto.py”, line 29, in connect_tcp
return await self._backend.connect_tcp(
File “/usr/local/lib/python3.10/site-packages/httpcore/backends/asyncio.py”, line 107, in connect_tcp
with map_exceptions(exc_map):
File “/usr/local/lib/python3.10/contextlib.py”, line 153, in exit
self.gen.throw(typ, value, traceback)
File “/usr/local/lib/python3.10/site-packages/httpcore/_exceptions.py”, line 12, in map_exceptions
raise to_exc(exc)
httpcore.ConnectError: All connection attempts failed

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/aiohttp/web_protocol.py”, line 435, in _handle_request
resp = await request_handler(request)
File “/usr/local/lib/python3.10/site-packages/aiohttp/web_app.py”, line 504, in _handle
resp = await handler(request)
File “/usr/local/lib/python3.10/site-packages/aiohttp/web_middlewares.py”, line 117, in impl
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/security_filter.py”, line 60, in security_filter_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/forwarded.py”, line 100, in forwarded_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/request_context.py”, line 28, in request_context_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/ban.py”, line 82, in ban_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/auth.py”, line 236, in auth_middleware
return await handler(request)
File “/usr/src/homeassistant/homeassistant/components/http/view.py”, line 136, in handle
result = await result
File “/usr/src/homeassistant/homeassistant/components/config/config_entries.py”, line 180, in post
return await super().post(request, flow_id)
File “/usr/src/homeassistant/homeassistant/components/http/data_validator.py”, line 73, in wrapper
result = await method(view, request, data, *args, **kwargs)
File “/usr/src/homeassistant/homeassistant/helpers/data_entry_flow.py”, line 110, in post
result = await self._flow_mgr.async_configure(flow_id, data)
File “/usr/src/homeassistant/homeassistant/data_entry_flow.py”, line 280, in async_configure
result = await self._async_handle_step(
File “/usr/src/homeassistant/homeassistant/data_entry_flow.py”, line 367, in _async_handle_step
result: FlowResult = await getattr(flow, method)(user_input)
File “/usr/src/homeassistant/homeassistant/components/onvif/config_flow.py”, line 158, in async_step_configure
return await self.async_setup_profiles()
File “/usr/src/homeassistant/homeassistant/components/onvif/config_flow.py”, line 240, in async_setup_profiles
profiles = await media_service.GetProfiles()
File “/usr/local/lib/python3.10/site-packages/zeep/proxy.py”, line 64, in call
return await self._proxy._binding.send_async(
File “/usr/local/lib/python3.10/site-packages/zeep/wsdl/bindings/soap.py”, line 156, in send_async
response = await client.transport.post_xml(
File “/usr/local/lib/python3.10/site-packages/zeep/transports.py”, line 234, in post_xml
response = await self.post(address, message, headers)
File “/usr/local/lib/python3.10/site-packages/zeep/transports.py”, line 219, in post
response = await self.client.post(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1842, in post
return await self.request(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1527, in request
return await self.send(request, auth=auth, follow_redirects=follow_redirects)
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1614, in send
response = await self._send_handling_auth(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1642, in _send_handling_auth
response = await self._send_handling_redirects(
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1679, in _send_handling_redirects
response = await self._send_single_request(request)
File “/usr/local/lib/python3.10/site-packages/httpx/_client.py”, line 1716, in _send_single_request
response = await transport.handle_async_request(request)
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 352, in handle_async_request
with map_httpcore_exceptions():
File “/usr/local/lib/python3.10/contextlib.py”, line 153, in exit
self.gen.throw(typ, value, traceback)
File “/usr/local/lib/python3.10/site-packages/httpx/_transports/default.py”, line 77, in map_httpcore_exceptions
raise mapped_exc(message) from exc
httpx.ConnectError: All connection attempts failed